USE ChangeTracking
GO

DECLARE @CTVer BIGINT

SELECT @CTVer = ChangeTrackingVersion 
FROM etl.[ChangeTrackingETLVersion]
WHERE TableName = 'dbo.Employees'


-- This is your source query for ETL
SELECT e.* 
	, ct.*
FROM CHANGETABLE(CHANGES dbo.Employees, @CTVer) ct
LEFT JOIN dbo.Employees e
	ON ct.EmployeeID = e.EmployeeID 
--WHERE sys_change_operation = 'D'		-- Note that you can filter by change type
ORDER BY ct.SYS_CHANGE_OPERATION
