USE ChangeTracking
GO

/* Drop PayHistory, recreate the table and populate with data */
DROP TABLE dbo.PayHistory
GO

CREATE TABLE [dbo].[PayHistory](
	PayID INT IDENTITY(1,1) PRIMARY KEY,
	[EmployeeID] [INT] NOT NULL,
	[PayAmount] [MONEY] NULL,
	[PayDate] [DATE] NULL
) 

INSERT INTO dbo.PayHistory
SELECT * 
FROM src.PayHistory
WHERE PayDate < '11/15/2016'

/* End drop and recreate PayHistory */


-- Enable Change Tracking
ALTER TABLE [dbo].[PayHistory] 
ENABLE CHANGE_TRACKING WITH(TRACK_COLUMNS_UPDATED = OFF)
GO


DELETE etl.[Change_Tracking]
WHERE Table_Name = 'dbo.PayHistory'

-- Capture the current value for this table
INSERT etl.[Change_Tracking]
SELECT 'dbo.PayHistory', CHANGE_TRACKING_CURRENT_VERSION()


-- Finally, truncate the DW table
TRUNCATE TABLE dw.FactPayHist

--SELECT * 
--FROM etl.[Change_Tracking]
