USE ChangeTracking
GO

DECLARE @CTVer BIGINT
DECLARE @CTVerEnd BIGINT = CHANGE_TRACKING_CURRENT_VERSION()

SELECT @CTVer = Change_Tracking_Version 
FROM etl.[Change_Tracking]
WHERE Table_Name = 'dbo.PayHistory'

INSERT dw.FactPayHist
SELECT e.*
FROM CHANGETABLE(CHANGES dbo.PayHistory, @CTVer) ct
LEFT JOIN dbo.PayHistory e
	ON ct.PayID = e.PayID
WHERE ct.SYS_CHANGE_VERSION <= @CTVerEnd

-- Update the load tracking table with the endpoint version of this load
UPDATE etl.[Change_Tracking]
SET Change_Tracking_Version = @CTVerEnd
WHERE Table_Name = 'dbo.PayHistory'
