USE ChangeTracking

SELECT change_tracking_current_version()
SELECT * FROM etl.change_tracking

SELECT e.*
		FROM dbo.Employees e
		INNER JOIN CHANGETABLE(CHANGES dbo.Employees, 0) ct
			ON e.EmployeeID = ct.EmployeeID
		WHERE SYS_CHANGE_VERSION <= 0


INSERT ods.DimEmployee (EmployeeID, EmployeeType, FirstName, MiddleName, LastName, Suffix, EmailPromotion, ModifiedDate, Active, RowStartDate)
SELECT EmployeeID, EmployeeType, FirstName, MiddleName, LastName, Suffix, EmailPromotion, ModifiedDate, Active, GETDATE()
FROM (
	MERGE ods.DimEmployee AS target
	USING (
		SELECT e.*
		FROM dbo.Employees e
		INNER JOIN CHANGETABLE(CHANGES dbo.Employees, 136) ct
			ON e.EmployeeID = ct.EmployeeID
		WHERE SYS_CHANGE_VERSION <= 139
	) AS SOURCE
	ON SOURCE.EmployeeID = TARGET.EmployeeID
	AND target.RowEndDate IS NULL

	WHEN NOT MATCHED THEN INSERT (EmployeeID, EmployeeType, FirstName, MiddleName, LastName, Suffix, EmailPromotion, ModifiedDate, Active)
	VALUES (source.EmployeeID, source.EmployeeType, source.FirstName, source.MiddleName, source.LastName, source.Suffix, source.EmailPromotion, source.ModifiedDate, source.Active)

	WHEN MATCHED AND NOT (target.EmployeeType = source.EmployeeType
							AND target.FirstName = source.FirstName
							AND target.MiddleName = source.MiddleName
							AND target.LastName = source.LastName
							AND target.Suffix = source.Suffix
							AND target.EmailPromotion = source.EmailPromotion
							AND target.ModifiedDate = source.ModifiedDate
							AND target.Active = source.Active)
	THEN UPDATE 
	SET target.RowEndDate = GETDATE()

	OUTPUT $action AS Action
			, Source.*
) t
WHERE t.ACTION = 'UPDATE'

SELECT * FROM ods.dimemployee
WHERE rowstartdate > '9/21/2015'
OR rowenddate > '9/21/2015'