USE TemporalSales
GO

/*
	Retention period was added in SQL Server 2017
*/

-- Add the hidden start/end columns
ALTER TABLE dbo.Customers
ADD ValidFrom DATETIME2 GENERATED ALWAYS AS ROW START HIDDEN NOT NULL DEFAULT GETUTCDATE()
	, ValidTo DATETIME2 GENERATED ALWAYS AS ROW END HIDDEN NOT NULL DEFAULT '9999-12-31 23:59:59.9999999'
	, PERIOD FOR SYSTEM_TIME (ValidFrom, ValidTo)
	
/* Turn on system versioning with retention period*/
ALTER TABLE dbo.Customers
SET (SYSTEM_VERSIONING = ON
	(
		HISTORY_TABLE = [dbo].[CustomersHistory]
		, HISTORY_RETENTION_PERIOD = 365 DAYS
	)
)


