USE TemporalSales
GO

-- Querying the table directly returns the current rows
SELECT *
FROM Customers


-- Use the SYSTEM_TIME function to get the data as of a particular date and time
DECLARE @dt DATETIME2 = GETUTCDATE()

SELECT *
FROM dbo.Customers
FOR SYSTEM_TIME AS OF @dt -- This has no effect since rows as of right now will automatically be returned anyway


-- Use a SYSTEM_TIME that predates the table
-- ** Remember: This is UTC!
DECLARE @dtYesterday DATETIME2 = '2022-08-16 23:43:09.860'

SELECT *
FROM dbo.Customers
FOR SYSTEM_TIME AS OF @dtYesterday 


-- Show hidden ValidFrom and ValidTo columns
SELECT *
FROM dbo.Customers

SELECT *, ValidFrom, ValidTo
FROM dbo.Customers

