USE TemporalSales
GO

-- Show updated customers as of now
SELECT * 
FROM dbo.Customers
WHERE CustomerID IN (27, 856, 908, 980, 989, 1014, 13)


-- Show all historical records for those same customers
SELECT *, ValidFrom, ValidTo
FROM dbo.Customers
FOR SYSTEM_TIME ALL 
WHERE CustomerID IN (27, 856, 908, 980, 989, 1014, 13)
ORDER BY CustomerKey, ValidFrom



DECLARE @minutesAgo DATETIME2 = DATEADD(MINUTE, -15, GETUTCDATE())

SELECT *, ValidFrom, ValidTo
FROM dbo.Customers
FOR SYSTEM_TIME AS OF @minutesAgo
WHERE CustomerID IN (27, 856, 908, 980, 989, 1014, 13)
ORDER BY CustomerKey, ValidFrom


-- Show deleted customers as of now
SELECT * 
FROM dbo.Customers
WHERE CustomerID IN (23, 24, 25)

SELECT *, ValidFrom, ValidTo 
FROM dbo.Customers
FOR SYSTEM_TIME ALL
WHERE CustomerID IN (23, 24, 25)
ORDER BY CustomerKey, ValidFrom

SELECT * 
FROM dbo.Customers
FOR SYSTEM_TIME BETWEEN '2019-10-17' AND '2022-10-18 23:59:00.0408870'
WHERE CustomerID IN (23, 24, 25)
ORDER BY CustomerKey, ValidFrom
